package com.inspect.metadata.bdconfig.mapper;

import com.inspect.metadata.bdconfig.domain.BasedataBdConfigAlgConvert;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataBdConfigAlgConvertMapper {
    BasedataBdConfigAlgConvert selectBasedataBdConfigAlgConvertByAlgConvertId(Long convertId);

    List<BasedataBdConfigAlgConvert> selectBasedataBdConfigAlgConvertList(BasedataBdConfigAlgConvert convert);

    int insertBasedataBdConfigAlgConvert(BasedataBdConfigAlgConvert convert);

    int updateBasedataBdConfigAlgConvert(BasedataBdConfigAlgConvert convert);

    int deleteBasedataBdConfigAlgConvertByAlgConvertId(Long convertId);

    int deleteBasedataBdConfigAlgConvertByAlgConvertIds(Long[] convertIds);
}
